//+------------------------------------------------------------------+
//|              INTERSECTING TIME FRAMES                            |
//+------------------------------------------------------------------+
extern double Lots = 1;
extern double TrailingStop = 35;
extern double MA5=5;
extern double MA13=13;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {  
   int    shift, back, lasthighpos, lastlowpos, Snitch;
   double val, res, SarCurrent, Oldclose;
   double MaCur5, Ma5Prev, MaCur13, Ma13Prev;
   int cnt, ticket, total;
   int limit;

   int TotalTrades=OrdersTotal();
  
   
   if(Bars<100)
     {
      Print("bars less than 100");
      return(0);  
     }
   
      if(AccountFreeMargin()<(10*Lots))
        {
         Print("We have very little money. Free Margin = ", AccountFreeMargin());
         return(0);  
        }

   MaCur5 =iMA(NULL,0,MA5,0,MODE_EMA,PRICE_CLOSE,0);
   Ma5Prev=iMA(NULL,0,MA5,0,MODE_EMA,PRICE_CLOSE,1);
   
   MaCur13=iMA(NULL,0,MA13,0,MODE_EMA,PRICE_CLOSE,0); 
   Ma13Prev=iMA(NULL,0,MA13,0,MODE_EMA,PRICE_CLOSE,1);
  



total=0; 
   
for(int tckt=0;tckt<TotalTrades;tckt++)
     {
      OrderSelect(tckt, SELECT_BY_POS, MODE_TRADES);
      if(OrderSymbol()==Symbol()) total = total + 1;     
     }
    
if (total==1)
{
     if ( MaCur5     > MaCur13 &&
          Ma5Prev    < Ma13Prev )
     {
     for(cnt=0;cnt<TotalTrades;cnt++) 
     {
     OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
     if ( (OrderSymbol()==Symbol()) && (OrderComment()=="513Cross") && (OrderType()==1) )
     {  // 1=OP_SELL
        // Already have a trade going on

     OrderClose(OrderTicket(),OrderLots(),Ask,3,Violet);
     return(0);
     }
     }
     }

     if ( MaCur5     < MaCur13 &&
          Ma5Prev    > Ma13Prev )
     {
     for(cnt=0;cnt<TotalTrades;cnt++) 
     {
     OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);

     if ( (OrderSymbol()==Symbol()) && (OrderComment()=="513Cross") && (OrderType()==0) )
     {  // 0=OP_BUY
        // Already have a trade going on
     OrderClose(OrderTicket(),OrderLots(),Ask,3,Violet);
     return(0);
     }
     }
     }
}



   if(total==0)
     {
     if ( MaCur5     > MaCur13 &&
          Ma5Prev    < Ma13Prev )
     {
     ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Bid-Point*TrailingStop,0,"513Cross",16384,0,Yellow);
     if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
           }
        else Print("Error opening BUY order : ",GetLastError()); 
        return(0); 
     }
 
    // check for short position (SELL) possibility
 
     if ( MaCur5     < MaCur13 &&
          Ma5Prev    > Ma13Prev )
        {
        ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Ask+Point*TrailingStop,0,"513Cross",16384,0,Red);
        if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
           }
        else Print("Error opening SELL order : ",GetLastError()); 
        return(0); 
        }
        // end of sell open
     }
     // end of if total = 0
     
   return(0);
  }
  
// the end.